import Toast from './src/main'

/* istanbul ignore next */
Toast.install = function (Vue) {
  Vue.component(Toast.name, Toast)
  if (!Vue.$muka) {
    Vue.$muka = {
      alert
    }
  } else {
    Vue.$muka.alert = alert
  }

  Vue.mixin({
    created: function () {
      this.$muka = Vue.$muka
    }
  })
}

export default Toast
